1. Royal Webbers Member

    PHP/MySQL upgraden

    Topic geplaatst op: 13-02-2012 om 12:03

    Hallo,

    Onlangs heb ik een VPS bij versio aangeschaft, heb echter weinig ervaring met het beheren e.d. Nu wilde ik php en mysql gaan upgraden, maar krijg nu telkens terug:
    No package xxx available. Op deplek van xxx komen dan de packages te staan die geïnstalleerd moeten worden. Zou iemand kunnen uitleggen hoe je PHP/MySQL kan installeren? Mijn VPS draait op CentOs 5.7 32-bit. De huidige PHP-versie is: 5.2.17 en de MySQL: 5.0.67

    Groeten,
    Pepijn

  2. zwerfkat Member
    Reactie geplaatst op: 13-02-2012 om 14:14

    Inloggen met SSH, zorg dat je root rechten hebt, ga naar custombuild van DirectAdmin:

    cd /usr/local/directadmin/custombuild

    Om alle versies te zien:
    ./build versions

    Om mysql te updaten:
    ./build mysql

    Om php te updaten:
    ./build php n

    Om alle nieuwe versies te updaten:
    ./build update_versions

    Vond u dit antwoord nuttig?

  3. Royal Webbers Member
    Reactie geplaatst op: 13-02-2012 om 15:15

    Als ik alle versies bekijk staat er dat PHP versie 5.2.17 de laatste versie is en dat alles dus up to date is. Ligt dit aan directadmin, want ook daar staat dat ik de laatste versie (1.40.3) heb..

    Vond u dit antwoord nuttig?

  4. zwerfkat Member
    Reactie geplaatst op: 13-02-2012 om 16:13

    Als je wilt upgraden naar PHP 5.3 dan moet je in custombuild dat aangeven met options.conf:

    Wijzig:
    php5_ver=5.2
    naar:
    php5_ver=5.3

    (gebruik ./build options om de huidige opties weer te geven)

    Vond u dit antwoord nuttig?

  5. Royal Webbers Member
    Reactie geplaatst op: 13-02-2012 om 16:25

    Dit werkt, bedankt!

    Vond u dit antwoord nuttig?